[package]
name = "cbd-cluster"
version = "0.1.0"
edition = "2021"
description = "CBD Enterprise Cluster Coordinator with Raft Consensus"
license = "MIT"

[dependencies]
cbd-core = { path = "../cbd-core" }
tokio = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
uuid = { workspace = true }
anyhow = { workspace = true }
thiserror = { workspace = true }
tracing = { workspace = true }
async-trait = { workspace = true }
reqwest = { workspace = true }

[dev-dependencies]
tokio-test = "0.4"
